<?php
/**
 * The sidebar containing the main widget area
 * @package Electronics Storefront
 */

global $post; // Ensure the $post global variable is available

$electronics_storefront_default = electronics_storefront_get_default_theme_options();

// Ensure $post->ID is properly set before using it
$electronics_storefront_post_sidebar = $post ? esc_html(get_post_meta($post->ID, 'electronics_storefront_post_sidebar_option', true)) : '';
$electronics_storefront_sidebar_column_class = 'column-order-2';

if (empty($electronics_storefront_post_sidebar)) {
    $electronics_storefront_global_sidebar_layout = esc_html( get_theme_mod( 'electronics_storefront_global_sidebar_layout',$electronics_storefront_default['electronics_storefront_global_sidebar_layout'] ) );
} else {
    $electronics_storefront_global_sidebar_layout = $electronics_storefront_post_sidebar;
}
if ( ! is_active_sidebar( 'sidebar-1' ) || $electronics_storefront_global_sidebar_layout == 'no-sidebar' ) {
    return;
}

if ($electronics_storefront_global_sidebar_layout == 'left-sidebar') {
    $electronics_storefront_sidebar_column_class = 'column-order-1';
}
 ?>

<aside id="secondary" class="widget-area <?php echo esc_attr($electronics_storefront_sidebar_column_class) ; ?>">
    <div class="widget-area-wrapper">
        <?php dynamic_sidebar( 'sidebar-1' ); ?>
    </div>
</aside>